<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/FAQ/CentOS7</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/FAQ/CentOS7</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><p class="line867">
<h1 id="A.2BZwlRcw_CentOS-7_.2BdoSV7piY-">有关 CentOS-7 的问题</h1>
<span class="anchor" id="line-5"></span><p class="line867"><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#A.2BYhGPx1.2BAUil1KA_boot.iso_.2BZiBQz4.2FbiEx.2FUX7cW4mIxTACW4NTu06GVOqRzP8f-">我过往利用 boot.iso 映像进行网络安装。它去了哪里？</a></li><li>
<a href="#A.2BTjpPVWIRdoROWVkqf1F.2B3E4NgP2P0E9c.2FwyWZJdeYhF2e19VXnZSO2EPVC91KFuD.2Fx8-">为何我的乙太网络不能运作，除非我登录并刻意启用它？</a></li><li>
<a href="#A.2BiYFmL2IRYPNkpG2IgfNl53aEVH1UDVRi.2Fx8-">要是我想撤消至旧的命名呢？</a></li><li>
<a href="#A.2BT0ZiEVPqYPNO5FuDj9BPXFPKYktSqF8PfxaPkZFNf25lh072MAI-">但我只想令它运作及手动式编辑配置文件。</a></li><li>
<a href="#A.2BYhFZgk9VUFx1KA_IPv6.2B.2Fx8-">我如何停用 IPv6？</a></li><li>
<a href="#A.2BYhFT707lTs5U6pHMTguPfQ_32_.2BT01RQ3JIZyz.2FHw-">我可以从哪里下载 32 位元版本？</a></li><li>
<a href="#A.2BT2Bb.2BQ_ifconfig.2B.2Fw8-netstat_.2BUFpOhnUaYkuBGv8f-">你对 ifconfig／netstat 做了甚手脚？</a></li></ol></li></ol></div> <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h2 id="A.2BYhGPx1.2BAUil1KA_boot.iso_.2BZiBQz4.2FbiEx.2FUX7cW4mIxTACW4NTu06GVOqRzP8f-">1. 我过往利用 boot.iso 映像进行网络安装。它去了哪里？</h2>
<span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line874">由 EL6 起，上游决定把 boot.iso 移出 images/ 这个目录并利用另一个独立的媒体来发行它。基于该映像颇大，我们亦决定同样做。网络安装磁盘的映像名为 netinstall.iso，它只收藏在 isos/ 这个目录，当中还有其它的安装映像。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="A.2BTjpPVWIRdoROWVkqf1F.2B3E4NgP2P0E9c.2FwyWZJdeYhF2e19VXnZSO2EPVC91KFuD.2Fx8-">2. 为何我的乙太网络不能运作，除非我登录并刻意启用它？</h2>
<span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line874">……还有，为什么界面名称完全「逆转」以往惯例？这样做违反了 Unix「不更改预期结果」的原则。 <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line862">上游的缺省组态已改用 NetworkManager，而且界面缺省是不会被启用的（针对乙太网来说是较难理解）。权宜之计就是在安装过程中，等待安装程序出现询问语系／键盘／存储设备／软件安装的主页，然后启用你的网络卡。这个昼面内有一粒「网络及主机名称」的按钮。点击这个按钮，选择你要编辑的乙太网络连接，然后点击右上角的「停用」按钮。假如你选用 DHCP，你便会看见该连接取得一个网络地址。如果你需要以手动方式更改网络设置，请按「设置」按钮，输入所需数值并存储他们。你大概要停用然后再启用刚设置的网络卡才能套用这些改动。现在按「完成」便大功告成。你也可以在安装完成后通过 NetworkManager（「系统；选项；网络连接」或右按通知本地内的网络小图示，选择「编辑连接……」）来作出这些改动。 <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line862">假如你不采用 NetworkManager，你可以通过编辑网络界面的概述文件（正常为 <tt>/etc/sysconfig/network-scripts/ifcfg-eth0</tt>）并把 <tt>ONBOOT=no</tt> 改为 <tt>ONBOOT=yes</tt> 来达到相同効果。某些采用 DHCP 的安装还需要额外一行：<tt>BOOTPROTO=dhcp</tt>；固定 IP 的安装当然需要：<tt>BOOTPROTO=static</tt> <span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><p class="line862">假设界面是 <tt>eth0</tt>，你可以（通过 root 的身份）这样编辑 <tt>ONBOOT</tt>： <span class="anchor" id="line-20"></span>{{{ # cd /etc/sysconfig/network-scripts/ <span class="anchor" id="line-21"></span># sed -i -e 's@^ONBOOT="no@ONBOOT="yes@' ifcfg-eth0 <span class="anchor" id="line-22"></span>}}} <span class="anchor" id="line-23"></span><span class="anchor" id="line-24"></span><p class="line862">关于「更改预期结果」：上述例子采用「传统」的网络设备，<strong>eth0</strong>。其它设备名称亦有可能出现，例如：<strong>em1</strong>、<strong>p3p1</strong> 等。不论你喜欢与否，这个为界面命名的改动是 Linux 的未来趋势。它已包含在上游的「测试发行版本」作为<a class="http" href="http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming">预览</a>。此外请参阅：<a class="http" href="http://linux.dell.com/biosdevname/">Dell 的介绍</a>及内部员工的<a class="http" href="http://domsch.com/blog/?tag=biosdevname">网志</a>。 <span class="anchor" id="line-25"></span><span class="anchor" id="line-26"></span><p class="line867">
<h2 id="A.2BiYFmL2IRYPNkpG2IgfNl53aEVH1UDVRi.2Fx8-">3. 要是我想撤消至旧的命名呢？</h2>
<span class="anchor" id="line-27"></span><span class="anchor" id="line-28"></span><p class="line874">以下是所需的步骤： <span class="anchor" id="line-29"></span><ul><li>在 grub 加入 net.ifnames=0 and biosdevname=0 作为内核参数 <span class="anchor" id="line-30"></span></li><li>在 /etc/sysconfig/network-scripts/ 内把你的网络卡配置文件换名为 ifcfg-ethX <span class="anchor" id="line-31"></span></li><li>假若你拥有多个界面并希望控制每个设备的名称，不想由内核作主，你似乎有必要通过 /etc/udev/rules.d/60-net.rules 盖过 /usr/lib/udev/rules.d/60-net.rules。 <span class="anchor" id="line-32"></span><span class="anchor" id="line-33"></span></li></ul><p class="line867">
<h2 id="A.2BT0ZiEVPqYPNO5FuDj9BPXFPKYktSqF8PfxaPkZFNf25lh072MAI-">4. 但我只想令它运作及手动式编辑配置文件。</h2>
<span class="anchor" id="line-34"></span><span class="anchor" id="line-35"></span><p class="line862">很多安装用不著 <strong>NetworkManager</strong> 工具的复杂性，而采用人手编辑的配置文件。以下是一个 <strong>非 NetworkManager</strong> 的 DHCP 界面设置样例：<span class="anchor" id="line-36"></span><span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><pre><span class="anchor" id="line-1"></span>[root@example ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
<span class="anchor" id="line-2"></span>DEVICE="eth0"
<span class="anchor" id="line-3"></span>BOOTPROTO=dhcp
<span class="anchor" id="line-4"></span>NM_CONTROLLED="no"
<span class="anchor" id="line-5"></span>PERSISTENT_DHCLIENT=1
<span class="anchor" id="line-6"></span>ONBOOT="yes"
<span class="anchor" id="line-7"></span>TYPE=Ethernet
<span class="anchor" id="line-8"></span>DEFROUTE=yes
<span class="anchor" id="line-9"></span>PEERDNS=yes
<span class="anchor" id="line-10"></span>PEERROUTES=yes
<span class="anchor" id="line-11"></span>IPV4_FAILURE_FATAL=yes
<span class="anchor" id="line-12"></span>IPV6INIT=yes
<span class="anchor" id="line-13"></span>IPV6_AUTOCONF=yes
<span class="anchor" id="line-14"></span>IPV6_DEFROUTE=yes
<span class="anchor" id="line-15"></span>IPV6_PEERDNS=yes
<span class="anchor" id="line-16"></span>IPV6_PEERROUTES=yes
<span class="anchor" id="line-17"></span>IPV6_FAILURE_FATAL=no
<span class="anchor" id="line-18"></span>NAME="eth0"
<span class="anchor" id="line-19"></span>[root@none ~]#</pre><span class="anchor" id="line-56"></span><span class="anchor" id="line-57"></span><p class="line862">以及一个「静态配置」配置文件的样例：<span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><span class="anchor" id="line-70"></span><pre><span class="anchor" id="line-1-1"></span>[username@hostname]$ cat /etc/sysconfig/network-scripts/ifcfg-eth0
<span class="anchor" id="line-2-1"></span>DEVICE="eth0"
<span class="anchor" id="line-3-1"></span>HWADDR="00:21:70:10:7E:CD"
<span class="anchor" id="line-4-1"></span>NM_CONTROLLED="no"
<span class="anchor" id="line-5-1"></span>ONBOOT="yes"
<span class="anchor" id="line-6-1"></span>BOOTPROTO=static
<span class="anchor" id="line-7-1"></span># BOOTPROTO=dhcp
<span class="anchor" id="line-8-1"></span>IPADDR=10.16.1.106
<span class="anchor" id="line-9-1"></span>NETMASK=255.255.255.0
<span class="anchor" id="line-10-1"></span>#
<span class="anchor" id="line-11-1"></span>#   the GATEWAY is sometimes in: /etc/sysconfig/network
<span class="anchor" id="line-12-1"></span>GATEWAY=10.16.1.1</pre><span class="anchor" id="line-71"></span><span class="anchor" id="line-72"></span><p class="line862">此外，通用项目如主机名称及 DNS 服务器可选择性地放置在：<span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><span class="anchor" id="line-75"></span><span class="anchor" id="line-76"></span><span class="anchor" id="line-77"></span><span class="anchor" id="line-78"></span><span class="anchor" id="line-79"></span><pre><span class="anchor" id="line-1-2"></span>[username@hostname]$ cat /etc/sysconfig/network
<span class="anchor" id="line-2-2"></span>HOSTNAME=acme.example.com
<span class="anchor" id="line-3-2"></span>DNS1=10.16.1.112
<span class="anchor" id="line-4-2"></span>DNS2=8.8.8.8
<span class="anchor" id="line-5-2"></span>## DNS2=76.242.0.28
<span class="anchor" id="line-6-2"></span>SEARCH=example.com</pre><span class="anchor" id="line-80"></span><span class="anchor" id="line-81"></span><p class="line862">这些信息是「选择性」的，因为一台 DHCP 服务器能派发这些数值。当一个良好部署的 DNS 环境存在时，<strong>initscripts</strong> 能够从 PTR 等记录找出主机名称等信息，但有些用户需要以人手管理这些细节。要取得更多信息，你可用以下方式列出整全的 initscripts 文档：<span class="anchor" id="line-82"></span><pre><span class="anchor" id="line-1-3"></span>rpm -qd initscripts </pre><span class="anchor" id="line-83"></span><p class="line862">不论该环境是否安装了 <strong>man</strong> 阅读说明手册的组件及所依赖的组件。 <span class="anchor" id="line-84"></span><span class="anchor" id="line-85"></span><p class="line867"><span class="anchor" id="line-86"></span><span class="anchor" id="line-87"></span><p class="line867"><span class="anchor" id="line-88"></span><span class="anchor" id="line-89"></span><p class="line867"><span class="anchor" id="line-90"></span><span class="anchor" id="line-91"></span><p class="line867"><span class="anchor" id="line-92"></span><span class="anchor" id="line-93"></span><p class="line867">
<h2 id="A.2BYhFZgk9VUFx1KA_IPv6.2B.2Fx8-">5. 我如何停用 IPv6？</h2>
<span class="anchor" id="line-94"></span><span class="anchor" id="line-95"></span><p class="line862">上游雇员 Daniel Walsh <a class="https" href="https://bugzilla.redhat.com/show_bug.cgi?id=641836">推荐</a>不要停用 ipv6 模块，因为这样会导致 SELinux 及其它组件出现问题。你可改而在 /etc/sysctl.conf 加入： <span class="anchor" id="line-96"></span><span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span><span class="anchor" id="line-99"></span><pre><span class="anchor" id="line-1-4"></span>net.ipv6.conf.all.disable_ipv6 = 1
<span class="anchor" id="line-2-3"></span>net.ipv6.conf.default.disable_ipv6 = 1</pre><span class="anchor" id="line-100"></span><p class="line874">要在运作中的系统停用它： <span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><span class="anchor" id="line-103"></span><span class="anchor" id="line-104"></span><pre><span class="anchor" id="line-1-5"></span>echo 1 &gt; /proc/sys/net/ipv6/conf/all/disable_ipv6
<span class="anchor" id="line-2-4"></span>echo 1 &gt; /proc/sys/net/ipv6/conf/default/disable_ipv6</pre><span class="anchor" id="line-105"></span><p class="line874">或 <span class="anchor" id="line-106"></span><span class="anchor" id="line-107"></span><span class="anchor" id="line-108"></span><span class="anchor" id="line-109"></span><pre><span class="anchor" id="line-1-6"></span>sysctl -w net.ipv6.conf.all.disable_ipv6=1
<span class="anchor" id="line-2-5"></span>sysctl -w net.ipv6.conf.default.disable_ipv6=1</pre><span class="anchor" id="line-110"></span><p class="line867"><strong>附加备注 #1</strong>：要是你在停用 IPv6 的系统上转接 X 时遇到问题，请编辑 <strong>/etc/ssh/sshd_config</strong> 及作出以下一组改动： <span class="anchor" id="line-111"></span><span class="anchor" id="line-112"></span><p class="line874">(1) 更改这一行 <span class="anchor" id="line-113"></span><span class="anchor" id="line-114"></span><span class="anchor" id="line-115"></span><pre><span class="anchor" id="line-1-7"></span>#AddressFamily any</pre><span class="anchor" id="line-116"></span><p class="line874">为 <span class="anchor" id="line-117"></span><span class="anchor" id="line-118"></span><span class="anchor" id="line-119"></span><pre><span class="anchor" id="line-1-8"></span>AddressFamily inet</pre><span class="anchor" id="line-120"></span><p class="line874">（inet 指定 ipv4；inet6 指定 ipv6） <span class="anchor" id="line-121"></span><span class="anchor" id="line-122"></span><p class="line874">或者 <span class="anchor" id="line-123"></span><span class="anchor" id="line-124"></span><p class="line874">(2) 删除这行行首的井号（#） <span class="anchor" id="line-125"></span><span class="anchor" id="line-126"></span><span class="anchor" id="line-127"></span><pre><span class="anchor" id="line-1-9"></span>#ListenAddress 0.0.0.0</pre><span class="anchor" id="line-128"></span><p class="line874">然后重新引导 ssh。 <span class="anchor" id="line-129"></span><span class="anchor" id="line-130"></span><p class="line867"><strong>附加备注 #2</strong>：要是你在停用 IPv6 的系统上引导 postfix 时遇到问题，你可选择 <span class="anchor" id="line-131"></span><span class="anchor" id="line-132"></span><p class="line874">(1) 编辑 /etc/postfix/main.cf 并备注掉 localhost 部份的设置及采用 ipv4 回路。 <span class="anchor" id="line-133"></span><span class="anchor" id="line-134"></span><span class="anchor" id="line-135"></span><span class="anchor" id="line-136"></span><pre><span class="anchor" id="line-1-10"></span>#inet_interfaces = localhost
<span class="anchor" id="line-2-6"></span>inet_interfaces = 127.0.0.1</pre><span class="anchor" id="line-137"></span><span class="anchor" id="line-138"></span><p class="line874">或 <span class="anchor" id="line-139"></span><span class="anchor" id="line-140"></span><p class="line874">(2) 从 /etc/hosts 取掉 ipv6 的 localhost。 <span class="anchor" id="line-141"></span><span class="anchor" id="line-142"></span><p class="line867"><strong>附加备注 #3 </strong>：如要停用　RPCBIND ipv6（rpcbind、rpc.mountd、prc.statd），请在 /etc/netconfig 备注掉 udp6 及 tcp6 行： <span class="anchor" id="line-143"></span><span class="anchor" id="line-144"></span><p class="line867"><span class="anchor" id="line-145"></span><span class="anchor" id="line-146"></span><span class="anchor" id="line-147"></span><span class="anchor" id="line-148"></span><span class="anchor" id="line-149"></span><span class="anchor" id="line-150"></span><span class="anchor" id="line-151"></span><span class="anchor" id="line-152"></span><pre><span class="anchor" id="line-1-11"></span>udp        tpi_clts      v     inet     udp     -       -
<span class="anchor" id="line-2-7"></span>tcp        tpi_cots_ord  v     inet     tcp     -       -
<span class="anchor" id="line-3-3"></span>#udp6       tpi_clts      v     inet6    udp     -       -
<span class="anchor" id="line-4-3"></span>#tcp6       tpi_cots_ord  v     inet6    tcp     -       -
<span class="anchor" id="line-5-3"></span>rawip      tpi_raw       -     inet      -      -       -
<span class="anchor" id="line-6-3"></span>local      tpi_cots_ord  -     loopback  -      -       -
<span class="anchor" id="line-7-2"></span>unix       tpi_cots_ord  -     loopback  -      -       -</pre><span class="anchor" id="line-153"></span><span class="anchor" id="line-154"></span><p class="line867">
<h2 id="A.2BYhFT707lTs5U6pHMTguPfQ_32_.2BT01RQ3JIZyz.2FHw-">6. 我可以从哪里下载 32 位元版本？</h2>
<span class="anchor" id="line-155"></span><span class="anchor" id="line-156"></span><p class="line862">你可于 <a class="http" href="http://mirror.centos.org/altarch/7/isos/i386/">http://mirror.centos.org/altarch/7/isos/i386/</a> 下载 32 位元的 CentOS 7 发行版本。 <span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><p class="line867">
<h2 id="A.2BT2Bb.2BQ_ifconfig.2B.2Fw8-netstat_.2BUFpOhnUaYkuBGv8f-">7. 你对 ifconfig／netstat 做了甚手脚？</h2>
<span class="anchor" id="line-159"></span><span class="anchor" id="line-160"></span><p class="line874">ifconfig 及 netstat 工具程序在 CentOS 5 及 6 的应用手册内被置标为降级已接近十年，而 Redhat 决定在 CentOS 7 不会缺省安装 net-tools 组件。其中一个转换的原因就是 ifconfig 不会显示界面卡所拥有的全部 IP 位置 —— 请改用 ip 指令。取而代之的工具是 ss 和 ip。假如你真的、真的很需要 ifconfig 和 netstat，你可执行 yum install net-tools。 <span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><p class="line867"><small>Translation of revision 21</small> <span class="anchor" id="line-163"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
